C
C====+==================================================================+==
C
      REAL FUNCTION AMPV(EAMPS,MAXRBIN)
C
C     Calculate the Amplitude Most Pobable Value as a proxy for the
C     noise floor of the Range-Doppler data in EAMPS
C     Data are expected in the range of 0 to 120 dB and binned in 2dB bins.
C     The resolution, range and number of bins is hard-coded.  Sorry.
C
      REAL EAMPS(256,16),XMIN,XMAX,DX
      INTEGER I,J,MAXRBIN,NX(0:127),NS,NE,IX,NTOTAL
C
      XMIN = 0.0
      XMAX = 120.0
      DX = 1.0
C
C     Determine the bin #'s for the limits
      NS = INT(XMIN/DX)
      NE = INT(XMAX/DX)
C
C     Zero things
      DO I=0,127
         NX(I)=0
      ENDDO

C     Place the counts in the arrays
      DO I = 1, MAXRBIN
       DO J = 1, 16
         IX = INT(EAMPS(I,J)/DX)
         IX = MAX(MIN(IX,NE),NS)
         NX(IX) = NX(IX) + 1
         NTOTAL = NTOTAL + 1
       ENDDO
      ENDDO
C
      IX = 0
      J = 0
      AMPV = 0.0
      DO I = NS,NE
         IF (NX(I).GT.J) THEN
            J = NX(I)
            IX = I
         ENDIF
      ENDDO
      AMPV = XMIN + REAL(IX)*DX
      RETURN
      END


